com.r3corda.protocols / NotaryProtocol / SignRequest

# SignRequest

`class SignRequest : AbstractRequestMessage`

TODO: The caller must authenticate instead of just specifying its identity

### Constructors

<init> | `SignRequest(txBits: SerializedBytes<WireTransaction>, callerIdentity: Party, replyTo: SingleMessageRecipient, sessionID: Long)` TODO: The caller must authenticate instead of just specifying its identity

### Properties

callerIdentity | `val callerIdentity: Party`
txBits | `val txBits: SerializedBytes<WireTransaction>`

### Inherited Properties

replyTo | `val replyTo: MessageRecipients`
sessionID | `val sessionID: Long?`